<template>
  <div class="search-wrapper">
    <Input search
           enter-button
           v-on:on-search="search"
           placeholder="Search in core releases" />
    <div v-if="!isLoading">
      <IssueTable v-bind:issues="this.searchResult.data"
                  v-bind:fullTextSearch="true" />
    </div>
  </div>
</template>

<script>
const IssueTable = () =>
  import(/* webpackChunkName: "issuetable" */ "@/components/IssueTable")
import axios from "axios"

export default {
  name: "SearchResult",
  data: () => ({
    isLoading: true,
    searchResult: Object
  }),
  components: {
    IssueTable
  },
  methods: {
    async search(SearchTerm) {
      try {
        this.isLoading = true
        this.$Spin.show()
        this.searchResult = await axios.post(
          this.$baseApiUrl + "/releasenotes/SC/search",
          {
            search_term: SearchTerm
          }
        )
        this.isLoading = false
        this.$Spin.hide()
      } catch (error) {
        this.isLoading = false
        this.$Spin.hide()
        console.error(error)
      }
    }
  }
}
</script>

<style scoped>
.search-wrapper {
  width: 100vw;
}
</style>
